/* ---------------------------------------------------------- */
/* @(#) KVM.SQL V100                */
/* ---------------------------------------------------------- */
/* Product Provided Situations and Templates for              */
/* VMware VI Monitoring Agent  */
/*                                                            */
/* Licensed Materials - Property of IBM                       */
/* Copyright IBM Corp. 2005, 2012 All Rights Reserved               */
/* US Government Users Restricted Rights - Use, duplication or*/
/* disclosure restricted by GSA ADP Schedule Contract with    */
/* IBM Corp.                                                  */
/*                                                            */
/* Warning: this file contains ascii binary data that cannot  */
/*          be ftp'ed as TEXT between ascii and ebcdic hosts. */
/* ---------------------------------------------------------- */


/* Tasks */

/* PowerOnVM */
INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "0040000000000000000000000000000000000000000", 
  "POWERONVM [&KVM_VIRTUAL_MACHINES.VM_Name]
 [&KVM_VIRTUAL_MACHINES.VM_Server_Name]",
  "This action attempts to power on a virtual machine. Two parameters
 are required for this action: the host name of the ESX server and the
 name of the virtual machine (the display name, not the virtual machine
 host name).",
  " ", 
  "KVM_POWERON_TASK", 
  "PowerOnVM", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* PowerOffVM */
INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "0040000000000000000000000000000000000000000", 
  "POWEROFFVM [&KVM_VIRTUAL_MACHINES.VM_Name]",
  "This action attempts to power off a virtual machine. Two parameters
 are required for this action: the host name of the ESX server and the
 name of the virtual machine (the display name, not the virtual machine
 host name).",
  " ", 
  "KVM_POWEROFF_TASK", 
  "PowerOffVM", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* Situations */
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00010000000000000000000000000000#u000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_AGENT_EVENTS.Subsystem *EQ Task *AND *VALUE
 KVM_AGENT_EVENTS.Severity *EQ Warning",
"E",
"0",
"000000",
"*NONE",
"KVM_Take_Action_Failure",
"Kvm:KVM1477",
"NNN",
"SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI_AGENT" ,
  "KVM_Take_Action_Failure" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00010000000000000000000000000000#u000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_AGENT_EVENTS.Message *EQ 23 *AND *VALUE
 KVM_AGENT_EVENTS.Severity *EQ Warning",
"E",
"0",
"000000",
"*NONE",
"KVM_Collection_Error",
"Kvm:KVM1864",
"NNN",
"SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI_AGENT" ,
  "KVM_Collection_Error" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00010000000000000000000000000000#*000000000",
"*NO",
"*NO",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_TOPOLOGY.NodeStatus *NE 'Unavailable' *AND *VALUE
 KVM_TOPOLOGY.NodeStatus *NE 'connected' *AND *VALUE
 KVM_TOPOLOGY.NodeType *EQ 'kvm.ESX_Server'",
"E",
"0",
"000130",
"*NONE",
"KVM_ESX_Server_Unavailable",
"Kvm:KVM1315",
"NNN",
"ATOM=KVMTOPO.NODENAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI_AGENT" ,
  "KVM_ESX_Server_Unavailable" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00010000000000000000000000000000#m000000000",
"*NO",
"*NO",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_TOPOLOGICAL_EVENTS.Entity_Type *EQ 'Host System' *AND
 *VALUE KVM_TOPOLOGICAL_EVENTS.Event_Type *EQ 'Created'",
"E",
"0",
"000000",
"*NONE",
"KVM_Host_System_Created",
"Kvm:KVM1555",
"NNN",
"ATOM=KVMTOPEVNT.ET;SEV=Harmless",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI_AGENT" ,
  "KVM_Host_System_Created" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00010000000000000000000000000000#m000000000",
"*NO",
"*NO",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_TOPOLOGICAL_EVENTS.Entity_Type *EQ 'Host System' *AND
 *VALUE KVM_TOPOLOGICAL_EVENTS.Event_Type *EQ 'Destroyed'",
"E",
"0",
"000000",
"*NONE",
"KVM_Host_System_Destroyed",
"Kvm:KVM1556",
"NNN",
"ATOM=KVMTOPEVNT.ET;SEV=Harmless",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI_AGENT" ,
  "KVM_Host_System_Destroyed" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00010000000000000000000000000000#m000000000",
"*NO",
"*NO",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_TOPOLOGICAL_EVENTS.Entity_Type *EQ 'Virtual Machine'
 *AND *VALUE KVM_TOPOLOGICAL_EVENTS.Event_Type *EQ 'Created'",
"E",
"0",
"000000",
"*NONE",
"KVM_Virtual_Machine_Created",
"Kvm:KVM1557",
"NNN",
"ATOM=KVMTOPEVNT.ET;SEV=Harmless",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI_AGENT" ,
  "KVM_Virtual_Machine_Created" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00010000000000000000000000000000#m000000000",
"*NO",
"*NO",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_TOPOLOGICAL_EVENTS.Entity_Type *EQ 'Virtual Machine'
 *AND *VALUE KVM_TOPOLOGICAL_EVENTS.Event_Type *EQ 'Destroyed'",
"E",
"0",
"000000",
"*NONE",
"KVM_Virtual_Machine_Destroyed",
"Kvm:KVM1558",
"NNN",
"ATOM=KVMTOPEVNT.ET;SEV=Harmless",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI_AGENT" ,
  "KVM_Virtual_Machine_Destroyed" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00010000000000000000000000000000#m000000000",
"*NO",
"*NO",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_TOPOLOGICAL_EVENTS.Entity_Type *EQ 'Virtual Machine'
 *AND *VALUE KVM_TOPOLOGICAL_EVENTS.Event_Type *EQ 'Relocated'",
"E",
"0",
"000000",
"*NONE",
"KVM_Virtual_Machine_Relocated",
"Kvm:KVM1559",
"NNN",
"ATOM=KVMTOPEVNT.ET;SEV=Harmless",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI_AGENT" ,
  "KVM_Virtual_Machine_Relocated" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00010000000000000000000000000000#0000000000",
"*NO",
"*NO",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_TOPOLOGICAL_EVENTS.Entity_Type *EQ 'Host System' *AND
 *VALUE KVM_TOPOLOGICAL_EVENTS.Event_Type *EQ 'Created'",
"E",
"0",
"000000",
"*NONE",
"KVM_Host_System_Created2",
"Kvm:KVM1555",
"NNN",
"ATOM=KVMTOPEVNT.NAME;SEV=Harmless",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI_AGENT" ,
  "KVM_Host_System_Created2" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00010000000000000000000000000000#0000000000",
"*NO",
"*NO",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_TOPOLOGICAL_EVENTS.Entity_Type *EQ 'Host System' *AND
 *VALUE KVM_TOPOLOGICAL_EVENTS.Event_Type *EQ 'Destroyed'",
"E",
"0",
"000000",
"*NONE",
"KVM_Host_System_Destroyed2",
"Kvm:KVM1556",
"NNN",
"ATOM=KVMTOPEVNT.NAME;SEV=Harmless",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI_AGENT" ,
  "KVM_Host_System_Destroyed2" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00010000000000000000000000000000#0000000000",
"*NO",
"*NO",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_TOPOLOGICAL_EVENTS.Entity_Type *EQ 'Virtual Machine'
 *AND *VALUE KVM_TOPOLOGICAL_EVENTS.Event_Type *EQ 'Created'",
"E",
"0",
"000000",
"*NONE",
"KVM_Virtual_Machine_Created2",
"Kvm:KVM1557",
"NNN",
"ATOM=KVMTOPEVNT.NAME;SEV=Harmless",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI_AGENT" ,
  "KVM_Virtual_Machine_Created2" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00010000000000000000000000000000#0000000000",
"*NO",
"*NO",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_TOPOLOGICAL_EVENTS.Entity_Type *EQ 'Virtual Machine'
 *AND *VALUE KVM_TOPOLOGICAL_EVENTS.Event_Type *EQ 'Destroyed'",
"E",
"0",
"000000",
"*NONE",
"KVM_Virtual_Machine_Destroyed2",
"Kvm:KVM1558",
"NNN",
"ATOM=KVMTOPEVNT.NAME;SEV=Harmless",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI_AGENT" ,
  "KVM_Virtual_Machine_Destroyed2" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00010000000000000000000000000000#0000000000",
"*NO",
"*NO",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_TOPOLOGICAL_EVENTS.Entity_Type *EQ 'Virtual Machine'
 *AND *VALUE KVM_TOPOLOGICAL_EVENTS.Event_Type *EQ 'Relocated'",
"E",
"0",
"000000",
"*NONE",
"KVM_Virtual_Machine_Relocated2",
"Kvm:KVM1559",
"NNN",
"ATOM=KVMTOPEVNT.NAME;SEV=Harmless",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI_AGENT" ,
  "KVM_Virtual_Machine_Relocated2" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00010000000000000000000000000000#m000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_VCENTERS.Agent_Connection *EQ 0",
"E",
"0",
"000030",
"*NONE",
"KVM_Connection_Failure",
"Kvm:KVM1476",
"NNN",
"ATOM=KVMVCENTER.CA;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI_AGENT" ,
  "KVM_Connection_Failure" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00010000000000000000000000000000#m000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_VCENTERS.Inventory_Age *GT 180000",
"E",
"0",
"000030",
"*NONE",
"KVM_Inventory_Out_Of_Date",
"Kvm:KVM1854",
"NNN",
"ATOM=KVMVCENTER.CA;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI_AGENT" ,
  "KVM_Inventory_Out_Of_Date" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00010000000000000000000000000000#m000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_VCENTERS.Current_CU_Execution_Time *GT 600000",
"E",
"0",
"000200",
"*NONE",
"KVM_Collection_Time_Excessive",
"Kvm:KVM1855",
"NNN",
"ATOM=KVMVCENTER.CA;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI_AGENT" ,
  "KVM_Collection_Time_Excessive" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00010000000000000000000000000000#m000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_DATASTORES.Percent_Used *GT 90",
"E",
"0",
"000030",
"*NONE",
"KVM_Datastore_Usage_High",
"Kvm:KVM1478",
"NNN",
"ATOM=KVMDSTORES.NAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI_AGENT" ,
  "KVM_Datastore_Usage_High" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00010000000000000000000000000000#m000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_DATASTORES.Accessible *EQ 'No'",
"E",
"0",
"000030",
"*NONE",
"KVM_Datastore_Inaccessible",
"Kvm:KVM1659",
"NNN",
"ATOM=KVMDSTORES.NAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI_AGENT" ,
  "KVM_Datastore_Inaccessible" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00010000000000000000000000000000#m000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_DATASTORES.Overall_Status *NE 'Unavailable' *AND *VALUE
 KVM_DATASTORES.Overall_Status *NE 'green'",
"E",
"0",
"000030",
"*NONE",
"KVM_Datastore_Bad_Status",
"Kvm:KVM1480",
"NNN",
"ATOM=KVMDSTORES.NAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI_AGENT" ,
  "KVM_Datastore_Bad_Status" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00010000000000000000000000000000#y000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_CLUSTERS.Percent_Effective_CPU *GE 0 *AND *VALUE
 KVM_CLUSTERS.Percent_Effective_CPU *LT 50",
"E",
"0",
"000130",
"*NONE",
"KVM_Cluster_Effective_CPU_Low",
"Kvm:KVM1316",
"NNN",
"ATOM=KVMCLUSTRT.DATACENTER;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI_AGENT" ,
  "KVM_Cluster_Effective_CPU_Low" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00010000000000000000000000000000#y000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_CLUSTERS.CPU_Utilization *GT 90",
"E",
"0",
"000130",
"*NONE",
"KVM_Cluster_CPU_Util_High",
"Kvm:KVM1481",
"NNN",
"ATOM=KVMCLUSTRT.DATACENTER;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI_AGENT" ,
  "KVM_Cluster_CPU_Util_High" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00010000000000000000000000000000#y000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_CLUSTERS.Percent_Effective_Memory *GE 0 *AND *VALUE
 KVM_CLUSTERS.Percent_Effective_Memory *LT 50",
"E",
"0",
"000130",
"*NONE",
"KVM_Cluster_Effective_Mem_Low",
"Kvm:KVM1482",
"NNN",
"ATOM=KVMCLUSTRT.DATACENTER;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI_AGENT" ,
  "KVM_Cluster_Effective_Mem_Low" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00010000000000000000000000000000#y000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_CLUSTERS.Memory_Utilization *GT 90",
"E",
"0",
"000130",
"*NONE",
"KVM_Cluster_Memory_Util_High",
"Kvm:KVM1483",
"NNN",
"ATOM=KVMCLUSTRT.DATACENTER;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI_AGENT" ,
  "KVM_Cluster_Memory_Util_High" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00010000000000000000000000000000#y000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_CLUSTERS.Percent_Effective_Servers *GE 0 *AND *VALUE
 KVM_CLUSTERS.Percent_Effective_Servers *LT 30",
"E",
"0",
"000130",
"*NONE",
"KVM_Cluster_Effective_Svrs_Low",
"Kvm:KVM1484",
"NNN",
"ATOM=KVMCLUSTRT.DATACENTER;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI_AGENT" ,
  "KVM_Cluster_Effective_Svrs_Low" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00400000000000000000000000000000##000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_SERVER.Overall_CPU_Util *GE 90",
"E",
"0",
"001500",
"*NONE",
"KVM_Server_CPU_Util_High",
"Kvm:KVM1007",
"NNN",
"ATOM=KVMSERVERG.SH;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI" ,
  "KVM_Server_CPU_Util_High" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00400000000000000000000000000000##000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_SERVER.Overall_Memory_Util *GE 90",
"E",
"0",
"001500",
"*NONE",
"KVM_Server_Memory_Util_High",
"Kvm:KVM1485",
"NNN",
"ATOM=KVMSERVERG.SH;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI" ,
  "KVM_Server_Memory_Util_High" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00400000000000000000000000000000##000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_SERVER.Connection_State *NE 'Unavailable' *AND *VALUE
 KVM_SERVER.Connection_State *NE 'connected' *AND *VALUE
 KVM_SERVER.Maintenance_Mode *NE Yes",
"E",
"0",
"000130",
"*NONE",
"KVM_ESX_Server_Disconnected",
"Kvm:KVM1798",
"NNN",
"ATOM=KVMSERVERG.SH;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI" ,
  "KVM_ESX_Server_Disconnected" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00400000000000000000000000000000##000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_SUBNODE_EVENTS.Event_Type *EQ 'VmMigratedEvent' *OR
 *VALUE KVM_SUBNODE_EVENTS.Event_Type *EQ 'DrsVmMigratedEvent' ",
"E",
"0",
"000000",
"*NONE",
"KVM_Server_VMotion_Event",
"Kvm:KVM1105",
"NNN",
"ATOM=KVMSERVERE.EVENT_TEXT;SEV=Harmless",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI" ,
  "KVM_Server_VMotion_Event" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00400000000000000000000000000000##000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_SERVER_DATASTORE.Percent_Free *GE 0 *AND *VALUE
 KVM_SERVER_DATASTORE.Percent_Free *LT 10",
"E",
"0",
"001500",
"*NONE",
"KVM_Server_Datastore_Free_Low",
"Kvm:KVM1006",
"NNN",
"ATOM=KVMSERVRDS.SH;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI" ,
  "KVM_Server_Datastore_Free_Low" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00400000000000000000000000000000#W000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_SERVER_HBA.Status *EQ 'fault'",
"E",
"0",
"001500",
"*NONE",
"KVM_Server_HBA_Fault",
"Kvm:KVM1792",
"NNN",
"ATOM=KVMSRVHBAS.DEVICE;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI" ,
  "KVM_Server_HBA_Fault" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00400000000000000000000000000000##000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_VM_CPU.Utilization *GT 90",
"E",
"0",
"001500",
"*NONE",
"KVM_VM_CPU_Util_High",
"Kvm:KVM1007",
"NNN",
"ATOM=KVMVM_CPU.VM_NAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI" ,
  "KVM_VM_CPU_Util_High" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00400000000000000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_VM_CPU.Percent_Rdy *GT 15",
"E",
"0",
"001500",
"*NONE",
"KVM_VM_CPU_Ready_High",
"Kvm:KVM1329",
"NNN",
"ATOM=KVMVM_CPU.VM_NAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI" ,
  "KVM_VM_CPU_Ready_High" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00400000000000000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_SERVER_DISK.Read *GT 5000",
"E",
"0",
"001500",
"*NONE",
"KVM_Server_Disk_Reads_High",
"Kvm:KVM1009",
"NNN",
"ATOM=KVMSERVERD.SH;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI" ,
  "KVM_Server_Disk_Reads_High" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00400000000000000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_SERVER_DISK.Write *GT 5000",
"E",
"0",
"001500",
"*NONE",
"KVM_Server_Disk_Writes_High",
"Kvm:KVM1010",
"NNN",
"ATOM=KVMSERVERD.SH;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI" ,
  "KVM_Server_Disk_Writes_High" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00400000000000000000000000000000##000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_VM_PARTITION.Percent_Free *GE 0 *AND *VALUE
 KVM_VM_PARTITION.Percent_Free *LT 10",
"E",
"0",
"001500",
"*NONE",
"KVM_VM_Disk_Free_Low",
"Kvm:KVM1011",
"NNN",
"ATOM=KVMVM_PART.VM_NAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI" ,
  "KVM_VM_Disk_Free_Low" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00400000000000000000000000000000##000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_VM_MEMORY.Guest_Util *GT 90",
"E",
"0",
"001500",
"*NONE",
"KVM_VM_Guest_Memory_Util_High",
"Kvm:KVM1012",
"NNN",
"ATOM=KVMVM_MEM.VM_NAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI" ,
  "KVM_VM_Guest_Memory_Util_High" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00400000000000000000000000000000##000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_VM_MEMORY.Host_Util *GT 90",
"E",
"0",
"001500",
"*NONE",
"KVM_VM_Host_Memory_Util_High",
"Kvm:KVM1013",
"NNN",
"ATOM=KVMVM_MEM.VM_NAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI" ,
  "KVM_VM_Host_Memory_Util_High" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00400000000000000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_SERVER_NETWORK.Transmitted *GT 5000",
"E",
"0",
"001500",
"*NONE",
"KVM_Server_Transmit_Rate_High",
"Kvm:KVM1014",
"NNN",
"ATOM=KVMSERVERN.SH;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI" ,
  "KVM_Server_Transmit_Rate_High" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00400000000000000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_SERVER_NETWORK.Received *GT 5000",
"E",
"0",
"001500",
"*NONE",
"KVM_Server_Receive_Rate_High",
"Kvm:KVM1015",
"NNN",
"ATOM=KVMSERVERN.SH;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI" ,
  "KVM_Server_Receive_Rate_High" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00400000000000000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_SERVER_NETWORK.Status *EQ 'down' *AND *VALUE
 KVM_SERVER_NETWORK.Virtual_Switch *NE 'Unavailable'",
"E",
"0",
"001500",
"*NONE",
"KVM_Server_NIC_Down",
"Kvm:KVM1793",
"NNN",
"ATOM=KVMSERVERN.NIC_NAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI" ,
  "KVM_Server_NIC_Down" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00400000000000000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_VM_NETWORK.Transmitted *GT 5000",
"E",
"0",
"001500",
"*NONE",
"KVM_VM_Transmit_Rate_High",
"Kvm:KVM1016",
"NNN",
"ATOM=KVMVM_NET.VM_NAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI" ,
  "KVM_VM_Transmit_Rate_High" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00400000000000000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_VM_NETWORK.Received *GT 5000",
"E",
"0",
"001500",
"*NONE",
"KVM_VM_Receive_Rate_High",
"Kvm:KVM1017",
"NNN",
"ATOM=KVMVM_NET.VM_NAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI" ,
  "KVM_VM_Receive_Rate_High" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00400000000000000000000000000000#*000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_RESOURCE_POOL_CPU.Percent_Overall_Usage *GE 90",
"E",
"0",
"001500",
"*NONE",
"KVM_Resource_Pool_CPU_High",
"Kvm:KVM1007",
"NNN",
"ATOM=KVMRSPOOLC.SH;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI" ,
  "KVM_Resource_Pool_CPU_High" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00400000000000000000000000000000#*000000000",
"*NO",
"*YES",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_RESOURCE_POOL_MEMORY.Percent_Overall_Usage *GE 90",
"E",
"0",
"001500",
"*NONE",
"KVM_Resource_Pool_Memory_High",
"Kvm:KVM1485",
"NNN",
"ATOM=KVMRSPOOLM.SH;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI" ,
  "KVM_Resource_Pool_Memory_High" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
$PARMS 
( 
'ADVICE("kvm:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00400000000000000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1120329000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KVM_VIRTUAL_MACHINES.Power_Status *EQ 'poweredOff'",
"E",
"0",
"001500",
"*NONE",
"KVM_VM_Powered_Off",
"Kvm:KVM1002",
"NNN",
"ATOM=KVMVM_GEN.VM_NAME;SEV=Harmless",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*VMWARE_VI" ,
  "KVM_VM_Powered_Off" ,
  "Y" ,
  "1120329000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
/* Start : Product Provided TADDM Policy */


/**
 ** VM Created 
 **/


$PARMS
(
 "Kvm:KVM1859"
);

INSERT INTO O4SRV.TPCYDESC
  (AFFINITIES,
   AUTOSTART,
   COMPOPT,
   LMTRESTART,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PCYNAME,
   PCYOPT,
   QIBSCOPE,
   TEXT)
VALUES
  ("##################################000000000",
   "*NO",
   "*YES",
   "*NO",
   "1110328094446000",
   "06.23.00",
   "SYSADMIN",
   "VMware_VM_Created",
   "YN3",
   "E",
   ?);

$PARMS
(
   "_TYPE=CT_Get;CTGetAppl=VMware VI;_TIMEOUT=15;EP==CTGetProtocol+://=C
TGetHost;CTGetHost=localhost;_ROW=/TABLE/DATA/ROW;_ITER_ACT=WaitOnSituat
ion1;CTGetProtocol=http;_TEMSSERVICE=Y",
   "<t0><t1>KVM_VIRTUAL_MACHINES</t1><t2>&amp;WaitOnSituation1:KVM_TOPOL
OGICAL_EVENTS.MSN</t2><t3>^0^</t3><t3>^1^</t3><t3>^2^</t3><t3>^3^</t3><t
3>^4^</t3><t4>^5^;EQ;&amp;WaitOnSituation1:KVM_TOPOLOGICAL_EVENTS.VM_UUI
D</t4></t0>",
   "0=VM_Name;1=Num_CPUs;2=Memory_Shares;3=CPU_Shares;4=MORef;5=UUID",
   "t1=object;t4=afilter;t3=attribute;t2=target;t0=CT_Get"
);

INSERT INTO O4SRV.TACTYPCY
  (ACTINFO,
   ACTINFO2,
   ATTRIBUTES,
   ACTNAME,
   AUTOSOPT,
   CMD,
   LSTDATE,
   PCYNAME,
   PREDSPECS,
   TYPESTR)
VALUES
  (?,
   ?,
   ?,
   "CT_Get2",
   "YN",
   ?,
   "1110325133934000",
   "VMware_VM_Created",
   "WaitOnSituation1 *SUCCESS",
   "SOAP");

$PARMS
(
   "_TYPE=TADDM_Event;_TIMEOUT[continue=Y]=15;UserID==(*TADDM_=Alias+_US
ERID);_HDR_AUTHORIZATION[encode=1]==UserID+:=Password;Alias=VMWARE-TADDM
;Password[encrypted=Y]={AES256:keyfile:a}DKGEa9Rv3JOOyGSruKVYdU7knIfQzq0
AfDwSZtrCOK8=;Action=create;EP==(*TADDM_",
   "<t0><t1> ;2;Start</t1><t1> ;3;Start</t1><t1>_cdmclass;1;com.collatio
n.platform.model.topology.sys.vmware.VmwareUnitaryComputerSystem</t1><t1
>_jsonid;1;_jsonid_1</t1><t1>uuid;1;&amp;WaitOnSituation1:KVM_TOPOLOGICA
L_EVENTS.Host_UUID</t1><t1>childsystem;1;_jsonid_2</t1><t1> ;3;End</t1><
t1> ;3;Start</t1><t1>_cdmclass;1;com.collation.platform.model.topology.s
ys.UnitaryComputerSystem</t1><t1>_jsonid;1;_jsonid_2</t1><t1>virtual;4;t
rue</t1><t1>name;1;&amp;{CT_Get2:/VM_Name}</t1><t1>label;1;&amp;{CT_Get2
:/VM_Name}</t1><t1>vmid;1;&amp;{CT_Get2:/MORef}</t1><t1>uuid;1;&amp;Wait
OnSituation1:KVM_TOPOLOGICAL_EVENTS.VM_UUID</t1><t1>memorysharesvalue;1;
&amp;{CT_Get2:/Memory_Shares}</t1><t1>numcpus;1;&amp;{CT_Get2:/Num_CPUs}
</t1><t1>cpusharesvalue;1;&amp;{CT_Get2:/CPU_Shares}</t1><t1>hostsystem;
1;_jsonid_1</t1><t1> ;3;End</t1><t1> ;2;End</t1></t0>",
   "t0=TADDM_Event;t1=payload"
);

INSERT INTO O4SRV.TACTYPCY
  (ACTINFO,
   ACTINFO2,
   ACTNAME,
   AUTOSOPT,
   CMD,
   LSTDATE,
   PCYNAME,
   PREDSPECS,
   TYPESTR)
VALUES
  (?,
   ?,
   "TADDM_Event3__________________00",
   "YY",
   ?,
   "1110325133934000",
   "VMware_VM_Created",
   "CT_Get2 *SUCCESS",
   "JSON");

$PARMS
(
   "=Alias+_SERVER_URL)+/=Action;_HDR_MSGTIME[zone=G;format=1]==*CURRENT
_TIME;_HDR_MSSNAME==(*TADDM_=Alias+_MSSNAME);_ITER_ACT=WaitOnSituation1;
_USES==Alias"
);

INSERT INTO O4SRV.TACTYPCY
  (ACTINFO,
   ACTNAME,
   LSTDATE,
   PCYNAME)
VALUES
  (?,
   "TADDM_Event3__________________01",
   "1110325133934000",
   "VMware_VM_Created");

INSERT INTO O4SRV.TACTYPCY
  (ACTINFO,
   ACTNAME,
   AUTOSOPT,
   LSTDATE,
   PCYNAME,
   PREDSPECS,
   TYPESTR)
VALUES
  ("KVM_Virtual_Machine_Created",
   "WaitOnSituation1",
   "*NO",
   "1110325133934000",
   "VMware_VM_Created",
   "*FIRST *ALWAYS",
   "*WAIT_ON_SITUATION");

INSERT INTO O4SRV.TOBJACCL 
  (ACTIVATION,
   HUB,
   LOCFLAG,
   LSTRELEASE,
   NETID,
   OBJECTLOCK,
   PATHNAME,
   PERCOLATE,
   SOURCE,
   LSTDATE,
   OBJCLASS,
   LSTUSRPRF,
   OBJNAME,NODEL) 
VALUES 
  ("",
   "",
   "",
   " ",
   " ",
   "",
   " ",
   " ",
   " ",
   "",
   "5130",
   "SYSADMIN",
   "VMware_VM_Created",
   "*VMWARE_VI_AGENT");



/**
 ** VM Destroyed 
 **/


$PARMS
(
 "Kvm:KVM1860"
);

INSERT INTO O4SRV.TPCYDESC
  (AFFINITIES,
   AUTOSTART,
   COMPOPT,
   LMTRESTART,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PCYNAME,
   PCYOPT,
   QIBSCOPE,
   TEXT)
VALUES
  ("##################################000000000",
   "*NO",
   "*YES",
   "*NO",
   "1110328094450000",
   "06.23.00",
   "SYSADMIN",
   "VMware_VM_Destroyed",
   "YN3",
   "E",
   ?);

$PARMS
(
   "_TYPE=TADDM_Event;_TIMEOUT[continue=Y]=15;UserID==(*TADDM_=Alias+_US
ERID);_HDR_AUTHORIZATION[encode=1]==UserID+:=Password;Alias=VMWARE-TADDM
;Password[encrypted=Y]={AES256:keyfile:a}DKGEa9Rv3JOOyGSruKVYdU7knIfQzq0
AfDwSZtrCOK8=;Action=delete;EP==(*TADDM_",
   "<t0><t1> ;2;Start</t1><t1> ;3;Start</t1><t1>_cdmclass;1;com.collatio
n.platform.model.topology.sys.UnitaryComputerSystem</t1><t1>_jsonid;1;_j
sonid_1</t1><t1>uuid;1;&amp;WaitOnSituation1:KVM_TOPOLOGICAL_EVENTS.VM_U
UID</t1><t1> ;3;End</t1><t1> ;2;End</t1></t0>",   
   "t0=TADDM_Event;t1=payload"
);

INSERT INTO O4SRV.TACTYPCY
  (ACTINFO,
   ACTINFO2,
   ACTNAME,
   AUTOSOPT,
   CMD,
   LSTDATE,
   PCYNAME,
   PREDSPECS,
   TYPESTR)
VALUES
  (?,
   ?,
   "TADDM_Event3__________________00",
   "YY",
   ?,
   "1110325133855000",
   "VMware_VM_Destroyed",
   "WaitOnSituation1 *SUCCESS",
   "JSON");

$PARMS
(
   "=Alias+_SERVER_URL)+/=Action;_HDR_MSGTIME[zone=G;format=1]==*CURRENT
_TIME;_HDR_MSSNAME==(*TADDM_=Alias+_MSSNAME);_ITER_ACT=WaitOnSituation1;
_USES==Alias"
);

INSERT INTO O4SRV.TACTYPCY
  (ACTINFO,
   ACTNAME,
   LSTDATE,
   PCYNAME)
VALUES
  (?,
   "TADDM_Event3__________________01",
   "1110325133855000",
   "VMware_VM_Destroyed");

INSERT INTO O4SRV.TACTYPCY
  (ACTINFO,
   ACTNAME,
   AUTOSOPT,
   LSTDATE,
   PCYNAME,
   PREDSPECS,
   TYPESTR)
VALUES
  ("KVM_Virtual_Machine_Destroyed",
   "WaitOnSituation1",
   "*NO",
   "1110325133855000",
   "VMware_VM_Destroyed",
   "*FIRST *ALWAYS",
   "*WAIT_ON_SITUATION");

INSERT INTO O4SRV.TOBJACCL 
  (ACTIVATION,
   HUB,
   LOCFLAG,
   LSTRELEASE,
   NETID,
   OBJECTLOCK,
   PATHNAME,
   PERCOLATE,
   SOURCE,
   LSTDATE,
   OBJCLASS,
   LSTUSRPRF,
   OBJNAME,NODEL) 
VALUES 
  ("",
   "",
   "",
   " ",
   " ",
   "",
   " ",
   " ",
   " ",
   "",
   "5130",
   "SYSADMIN",
   "VMware_VM_Destroyed",
   "*VMWARE_VI_AGENT");


/**
 ** VM Relocated 
 **/


$PARMS
(
 "Kvm:KVM1861"
);

INSERT INTO O4SRV.TPCYDESC
  (AFFINITIES,
   AUTOSTART,
   COMPOPT,
   LMTRESTART,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PCYNAME,
   PCYOPT,
   QIBSCOPE,
   TEXT)
VALUES
  ("##################################000000000",
   "*NO",
   "*YES",
   "*NO",
   "1110328094454000",
   "06.23.00",
   "SYSADMIN",
   "VMware_VM_Relocated",
   "YN3",
   "E",
   ?);

$PARMS
(
   "_TYPE=TADDM_Event;_TIMEOUT[continue=Y]=15;UserID==(*TADDM_=Alias+_US
ERID);_HDR_AUTHORIZATION[encode=1]==UserID+:=Password;Alias=VMWARE-TADDM
;Password[encrypted=Y]={AES256:keyfile:a}DKGEa9Rv3JOOyGSruKVYdU7knIfQzq0
AfDwSZtrCOK8=;Action=movement;EP==(*TADD",
   "<t0><t1> ;2;Start</t1><t1> ;3;Start</t1><t1>_cdmclass;1;com.collatio
n.platform.model.topology.sys.vmware.VmwareUnitaryComputerSystem</t1><t1
>_jsonid;1;_jsonid_1</t1><t1>uuid;1;&amp;WaitOnSituation1:KVM_TOPOLOGICA
L_EVENTS.Host_UUID</t1><t1>childsystem;1;_jsonid_2</t1><t1> ;3;End</t1><
t1> ;3;Start</t1><t1>_cdmclass;1;com.collation.platform.model.topology.s
ys.UnitaryComputerSystem</t1><t1>_jsonid;1;_jsonid_2</t1><t1>virtual;4;t
rue</t1><t1>uuid;1;&amp;WaitOnSituation1:KVM_TOPOLOGICAL_EVENTS.VM_UUID<
/t1><t1>hostsystem;1;_jsonid_1</t1><t1> ;3;End</t1><t1>;2;End</t1></t0>"
,
   "t0=TADDM_Event;t1=payload"
);

INSERT INTO O4SRV.TACTYPCY
  (ACTINFO,
   ACTINFO2,
   ACTNAME,
   AUTOSOPT,
   CMD,
   LSTDATE,
   PCYNAME,
   PREDSPECS,
   TYPESTR)
VALUES
  (?,
   ?,
   "TADDM_Event3__________________00",
   "YY",
   ?,
   "1110325104106000",
   "VMware_VM_Relocated",
   "WaitOnSituation1 *SUCCESS",
   "JSON");

$PARMS
(
   "M_=Alias+_SERVER_URL)+/=Action;_HDR_MSGTIME[zone=G;format=1]==*CURRE
NT_TIME;_HDR_MSSNAME==(*TADDM_=Alias+_MSSNAME);_ITER_ACT=WaitOnSituation
1;_USES==Alias"
);

INSERT INTO O4SRV.TACTYPCY
  (ACTINFO,
   ACTNAME,
   LSTDATE,
   PCYNAME)
VALUES
  (?,
   "TADDM_Event3__________________01",
   "1110325104106000",
   "VMware_VM_Relocated");

INSERT INTO O4SRV.TACTYPCY
  (ACTINFO,
   ACTNAME,
   AUTOSOPT,
   LSTDATE,
   PCYNAME,
   PREDSPECS,
   TYPESTR)
VALUES
  ("KVM_Virtual_Machine_Relocated",
   "WaitOnSituation1",
   "*NO",
   "1110325104106000",
   "VMware_VM_Relocated",
   "*FIRST *ALWAYS",
   "*WAIT_ON_SITUATION");

INSERT INTO O4SRV.TOBJACCL 
  (ACTIVATION,
   HUB,
   LOCFLAG,
   LSTRELEASE,
   NETID,
   OBJECTLOCK,
   PATHNAME,
   PERCOLATE,
   SOURCE,
   LSTDATE,
   OBJCLASS,
   LSTUSRPRF,
   OBJNAME,NODEL) 
VALUES 
  ("",
   "",
   "",
   " ",
   " ",
   "",
   " ",
   " ",
   " ",
   "",
   "5130",
   "SYSADMIN",
   "VMware_VM_Relocated",
   "*VMWARE_VI_AGENT");


/**
 ** VMotion
 **/


$PARMS
(
 "Kvm:KVM1862"
);

INSERT INTO O4SRV.TPCYDESC
  (AFFINITIES,
   AUTOSTART,
   COMPOPT,
   LMTRESTART,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PCYNAME,
   PCYOPT,
   QIBSCOPE,
   TEXT)
VALUES
  ("##################################000000000",
   "*NO",
   "*YES",
   "*NO",
   "1110624104420000",
   "06.23.00",
   "SYSADMIN",
   "VMware_VMotion",
   "YN3",
   "E",
   ?);

$PARMS
(
   "_TYPE=TADDM_Event;_TIMEOUT[continue=Y]=15;UserID==(*TADDM_=Alias+_US
ERID);_HDR_AUTHORIZATION[encode=1]==UserID+:=Password;Alias=VMWARE-TADDM
;Password[encrypted=Y]={AES256:keyfile:a}DKGEa9Rv3JOOyGSruKVYdU7knIfQzq0
AfDwSZtrCOK8=;Action=movement;EP==(*TADD",
   "<t0><t1> ;2;Start</t1><t1> ;3;Start</t1><t1>_cdmclass;1;com.collatio
n.platform.model.topology.sys.vmware.VmwareUnitaryComputerSystem</t1><t1
>_jsonid;1;_jsonid_1</t1><t1>uuid;1;&amp;WaitOnSituation1:KVM_SUBNODE_EV
ENTS.ESX_Server_UUID</t1><t1>childsystem;1;_jsonid_2</t1><t1> ;3;End</t1
><t1> ;3;Start</t1><t1>_cdmclass;1;com.collation.platform.model.topology
.sys.UnitaryComputerSystem</t1><t1>_jsonid;1;_jsonid_2</t1><t1>virtual;4
;true</t1><t1>uuid;1;&amp;WaitOnSituation1:KVM_SUBNODE_EVENTS.Virtual_Ma
chine_UUID</t1><t1>hostsystem;1;_jsonid_1</t1><t1> ;3;End</t1><t1> ;2;En
d</t1></t0>",
   "t0=TADDM_Event;t1=payload"
);

INSERT INTO O4SRV.TACTYPCY
  (ACTINFO,
   ACTINFO2,
   ACTNAME,
   AUTOSOPT,
   CMD,
   LSTDATE,
   PCYNAME,
   PREDSPECS,
   TYPESTR)
VALUES
  (?,
   ?,
   "TADDM_Event3__________________00",
   "YY",
   ?,
   "1110624104420000",
   "VMware_VMotion",
   "WaitOnSituation1 *SUCCESS",
   "JSON");

$PARMS
(
   "M_=Alias+_SERVER_URL)+/=Action;_HDR_MSGTIME[zone=G;format=1]==*CURRE
NT_TIME;_HDR_MSSNAME==(*TADDM_=Alias+_MSSNAME);_ITER_ACT=WaitOnSituation
1;_USES==Alias"
);

INSERT INTO O4SRV.TACTYPCY
  (ACTINFO,
   ACTNAME,
   LSTDATE,
   PCYNAME)
VALUES
  (?,
   "TADDM_Event3__________________01",
   "1110624104420000",
   "VMware_VMotion");

INSERT INTO O4SRV.TACTYPCY
  (ACTINFO,
   ACTNAME,
   AUTOSOPT,
   LSTDATE,
   PCYNAME,
   PREDSPECS,
   TYPESTR)
VALUES
  ("KVM_Server_VMotion_Event",
   "WaitOnSituation1",
   "*NO",
   "1110624104420000",
   "VMware_VMotion",
   "*FIRST *ALWAYS",
   "*WAIT_ON_SITUATION");

INSERT INTO O4SRV.TOBJACCL 
  (ACTIVATION,
   HUB,
   LOCFLAG,
   LSTRELEASE,
   NETID,
   OBJECTLOCK,
   PATHNAME,
   PERCOLATE,
   SOURCE,
   LSTDATE,
   OBJCLASS,
   LSTUSRPRF,
   OBJNAME,NODEL) 
VALUES 
  ("",
   "",
   "",
   " ",
   " ",
   "",
   " ",
   " ",
   " ",
   "",
   "5130",
   "SYSADMIN",
   "VMware_VMotion",
   "*VMWARE_VI_AGENT");


/* End */


